## mplayer-dmo 1.5.0+svn38680

=== debian/changelog ===
mplayer-dmo (4:1.5.0+svn38680-dmo6) unstable; urgency=medium

  * Update included ffmpeg to 7.1.2
    Fixes following vulnerabilities: CVE-2025-1594

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 15 Sep 2025 08:42:09 +0200

mplayer-dmo (4:1.5.0+svn38680-dmo5) unstable; urgency=medium

  * Build with libtheoradec2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Aug 2025 19:29:13 +0200

mplayer-dmo (4:1.5.0+svn38680-dmo4) unstable; urgency=medium

  * Build with libbluray3

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 19 Aug 2025 17:10:01 +0200

mplayer-dmo (4:1.5.0+svn38680-dmo3) unstable; urgency=medium

  * Build with libvpx11

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Aug 2025 17:05:16 +0200

mplayer-dmo (4:1.5.0+svn38680-dmo2) unstable; urgency=medium

  * Build with libxml2-16

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 Aug 2025 19:20:54 +0200

mplayer-dmo (4:1.5.0+svn38680-dmo1) unstable; urgency=medium

  * Git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Jun 2025 08:22:47 +0200

mplayer-dmo (4:1.5.0+svn38677-dmo2) unstable; urgency=medium

  * Add support for riscv64

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 28 Mar 2025 11:11:44 +0100

mplayer-dmo (4:1.5.0+svn38677-dmo1+b1) unstable; urgency=medium

  * Build with libx264-165

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Mar 2025 10:12:28 +0100

mplayer-dmo (4:1.5.0+svn38677-dmo1) unstable; urgency=medium

  * Git snapshot.
  * Build with ffmpeg 7.1.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 05 Mar 2025 16:04:45 +0100

mplayer-dmo (4:1.5.0+svn38674-dmo1) unstable; urgency=medium

  * Git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 29 Jan 2025 13:37:19 +0100

mplayer-dmo (4:1.5.0+svn38668-dmo1) unstable; urgency=medium

  * Git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Dec 2024 01:20:09 +0100

mplayer-dmo (4:1.5.0+svn38666-dmo1) unstable; urgency=medium

  * Git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 11 Nov 2024 16:03:07 +0100

mplayer-dmo (4:1.5.0+svn38665-dmo1) unstable; urgency=medium

  * Git snapshot.
  * Remove 32 bits patch related to libzlo

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Oct 2024 11:30:35 +0200

mplayer-dmo (4:1.5.0+svn38664-dmo1) unstable; urgency=medium

  * Git snapshot.
  * Build 32 bits arches with --disable-liblzo until fixed by upstream.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 03 Oct 2024 15:09:35 +0200

mplayer-dmo (4:1.5.0+svn38542-dmo1) unstable; urgency=medium

  * Git snapshot.
  * Build with ffmpeg 7.0.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 26 May 2024 10:19:29 +0200

mplayer-dmo (4:1.5.0+svn38506-dmo2) unstable; urgency=medium

  * Build with libvpx9

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 May 2024 11:49:30 +0200

mplayer-dmo (4:1.5.0+svn38506-dmo1) unstable; urgency=medium

  * Git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 May 2024 15:11:59 +0200

mplayer-dmo (4:1.5.0+svn38460-dmo1) unstable; urgency=medium

  * Git snapshot.
  * Build with ffmpeg 7.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Apr 2024 15:49:35 +0200
