=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring parallel=,$(DEB_BUILD_OPTIONS)))
	NCPUS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
	ifeq ($(NCPUS),-1)
		NCPUS:=1
	endif
	ifeq ($(NCPUS),0)
		NCPUS:=1
	endif
endif

REVISION="1.5 r38680"

DEBIAN_VERSION=\#define VERSION \"$(REVISION)\"
DEBIAN_TITLE=\#define MP_TITLE \"MPlayer $(REVISION) (C) 2000-2025 MPlayer Team\\\n\"

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(findstring marillat,$(DEB_BUILD_OPTIONS)))
	CONTROL=control.marillat
else
ifeq "$(DEB_HOST_ARCH)" "powerpc"
	CONTROL=control.powerpc
	FLAVOURS=-g4
else
	CONTROL=control.$(DEB_HOST_ARCH)
endif
endif

# Split up config options
CONFIG_DIRS=--prefix=/usr --confdir=/etc/mplayer --datadir=/usr/share/mplayer
CONFIG_MGA=--disable-xmga --disable-mga
CONFIG_3DFX=--enable-tdfxfb --enable-s3fb
#CONFIG_ZR=--enable-zr
CONFIG_CONTROL=--enable-joystick
CONFIG_AUDIO=--enable-libopencore_amrnb --enable-libopencore_amrwb \
	--disable-openal --disable-decoder=amrnb

CONFIG_MISC=--language=all --enable-menu \
	--enable-radio --enable-radio-capture --disable-sndio \
	--extra-libs="-ldl -lvorbisenc -lvorbis"

# Doesn't work 01/06/2012
#CONFIG_HARD=CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
#	CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" \
#	CXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS)" \
#	LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

CONFIG_HARD=--extra-ldflags="$(shell dpkg-buildflags --get LDFLAGS)"

CONFIG_WIN32=--disable-win32dll

# Options common to all architectures
CONFIG_ARCH_INDEP=$(CONFIG_DIRS) $(CONFIG_MGA) $(CONFIG_CONTROL) \
	$(CONFIG_AUDIO) $(CONFIG_MISC) --disable-png --disable-directfb

# Options common to all amd64 configurations
CONFIG_AMD64_ALL=$(CONFIG_ARCH_INDEP) $(CONFIG_3DFX) $(CONFIG_ZR)

# Options common to all i386 configurations
CONFIG_I386_ALL=$(CONFIG_ARCH_INDEP) $(CONFIG_WIN32) $(CONFIG_3DFX) $(CONFIG_ZR)

# Options common to all armel configurations
CONFIG_ARMEL_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui

# Options common to all armhf configurations
CONFIG_ARMHF_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui

# Options common to all arm64 configurations
CONFIG_ARM64_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui

# Options common to all riscv64 configurations
CONFIG_RISCV64_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui

# Options common to all powerpc configurations
CONFIG_PPC_ALL=$(CONFIG_ARCH_INDEP) --disable-gui --disable-win32dll

# Options common to all ppc64 configurations
CONFIG_PPC64_ALL=$(CONFIG_ARCH_INDEP) --disable-gui --disable-win32dll

CONFIGURE_MPLAYER=$(CONFIG_AMD64_ALL) --disable-gui --enable-runtime-cpudetection

# Doesn't work (10/07/08)
#CONFIGURE_PPC=$(CONFIG_PPC_ALL) --enable-runtime-cpudetection
CONFIGURE_PPC=$(CONFIG_PPC_ALL) --disable-altivec

CONFIGURE_G4=$(CONFIG_PPC_ALL) --enable-altivec

CONFIGURE_I386=$(CONFIG_I386_ALL) --disable-gui --enable-runtime-cpudetection --target=i586-linux --disable-ffmpeg_a

CONFIGURE_PPC64=$(CONFIG_PPC64_ALL) --disable-gui

CONFIGURE_ARMEL=$(CONFIG_ARMEL_ALL) --disable-ffmpeg_a

CONFIGURE_ARMHF=$(CONFIG_ARMHF_ALL) --disable-ffmpeg_a

CONFIGURE_ARM64=$(CONFIG_ARMHF_ALL) --disable-ffmpeg_a

CONFIGURE_RISCV64=$(CONFIG_RISCV64_ALL) --disable-ffmpeg_a

CONFIGURE_CUSTOM=$(CONFIG_I386_ALL)

%:
	dh $@ --with quilt

override_dh_auto_configure:
	cp debian/$(CONTROL) debian/control

	ln -s ffmpeg-7-1-2 ffmpeg
	-mkdir ffmpeg/ffbuild

	cp /usr/include/*/ffmpeg-7/libavutil/avconfig.h ffmpeg/libavutil/

ifneq (,$(findstring marillat,$(DEB_BUILD_OPTIONS)))
ifeq "$(DEB_HOST_ARCH)" "amd64"
	############################ amd64 ###############################

	./configure $(CONFIGURE_MPLAYER) $(CONFIG_HARD)

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

#	exit 1

	$(MAKE) -j $(NCPUS)

	$(MAKE) install prefix=$(CURDIR)/debian/mplayer/usr \
	CONFDIR=$(CURDIR)/debian/mplayer/etc/mplayer \
	DATADIR=$(CURDIR)/debian/mplayer/usr/share/mplayer \
	LIBDIR=$(CURDIR)/debian/mplayer/usr/lib \
	MANDIR=$(CURDIR)/debian/mplayer/usr/share/man \
	BINDIR=$(CURDIR)/debian/mplayer/usr/bin

endif	# amd64
endif	# marillat

ifeq (,$(findstring marillat,$(DEB_BUILD_OPTIONS)))
ifeq "$(DEB_HOST_ARCH)" "powerpc"
	########################## generic powerpc #######################

	./configure $(CONFIGURE_PPC) $(CONFIG_HARD) 

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

#	perl -i -pe 's,-mtune=(\w+),-mtune=powerpc,' config.mak
#	perl -i -pe 's,-mcpu=(\w+),-mcpu=powerpc,' config.mak
#	perl -i -pe 's,-maltivec,-mno-altivec,' config.mak
#	perl -i -pe 's,-mabi=altivec,-mabi=no-altivec,' config.mak

#	perl -i -pe 's,#define HAVE_ALTIVEC 1,#undef HAVE_ALTIVEC,' config.h
#	perl -i -pe 's,#define HAVE_ALTIVEC_H 1,#undef HAVE_ALTIVEC_H,' config.h
#	perl -i -pe 's,HAVE_ALTIVEC   = yes,HAVE_ALTIVEC = no,' config.mak

#	perl -i -pe 's,#define CONFIG_MOVIE_FILTER 0,#define CONFIG_MOVIE_FILTER 0\n#define HAVE_VSX 0,' config.h

	$(MAKE) -j $(NCPUS)

	$(MAKE) install prefix=$(CURDIR)/debian/mplayer/usr \
	CONFDIR=$(CURDIR)/debian/mplayer/etc/mplayer \
	DATADIR=$(CURDIR)/debian/mplayer/usr/share/mplayer \
	LIBDIR=$(CURDIR)/debian/mplayer/usr/lib \
	MANDIR=$(CURDIR)/debian/mplayer/usr/share/man \
	BINDIR=$(CURDIR)/debian/mplayer/usr/bin

	dh_installdirs -pmencoder usr/bin usr/share/man/man1

	mv debian/mplayer/usr/bin/mencoder debian/mencoder/usr/bin

	[ ! -f Makefile ] || $(MAKE) distclean

	######################## powerpc-g4  ###############################

	./configure $(CONFIGURE_G4) $(CONFIG_HARD) 

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

#	perl -i -pe 's,-mtune=(\w+),-mtune=7450,' config.mak
#	perl -i -pe 's,-mcpu=(\w+),-mcpu=7450,' config.mak

#	perl -i -pe 's,#define CONFIG_MOVIE_FILTER 0,#define CONFIG_MOVIE_FILTER 0\n#define HAVE_VSX 0,' config.h

	$(MAKE) -j $(NCPUS)

	$(MAKE) install prefix=$(CURDIR)/debian/mplayer-g4/usr \
	CONFDIR=$(CURDIR)/debian/mplayer-g4/etc/mplayer \
	DATADIR=$(CURDIR)/debian/mplayer-g4/usr/share/mplayer \
	LIBDIR=$(CURDIR)/debian/mplayer-g4/usr/lib \
	MANDIR=$(CURDIR)/debian/mplayer-g4/usr/share/man \
	BINDIR=$(CURDIR)/debian/mplayer-g4/usr/bin

	dh_installdirs -pmencoder-g4 usr/bin usr/share/man/man1

	mv debian/mplayer-g4/usr/bin/mencoder debian/mencoder-g4/usr/bin

#	exit 1

else	# powerpc
ifeq "$(DEB_HOST_ARCH)" "ppc64"
	############################ ppc64 ###############################

	./configure $(CONFIGURE_PPC64) $(CONFIG_HARD)

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

	perl -i -pe 's,-mtune=(\w+),-mtune=G5,' config.mak
	perl -i -pe 's,-mcpu=(\w+),-mcpu=G5 -falign-loops=16,' config.mak

	$(MAKE) -j $(NCPUS)

	$(MAKE) install prefix=$(CURDIR)/debian/mplayer/usr \
	CONFDIR=$(CURDIR)/debian/mplayer/etc/mplayer \
	DATADIR=$(CURDIR)/debian/mplayer/usr/share/mplayer \
	LIBDIR=$(CURDIR)/debian/mplayer/usr/lib \
	MANDIR=$(CURDIR)/debian/mplayer/usr/share/man \
	BINDIR=$(CURDIR)/debian/mplayer/usr/bin

else	# ppc64
ifeq "$(DEB_HOST_ARCH)" "i386"
	############################ i386 ###############################

	./configure $(CONFIGURE_I386) $(CONFIG_HARD) 



#	exit 1

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

	$(MAKE) -j $(NCPUS)

	$(MAKE) install prefix=$(CURDIR)/debian/mplayer/usr \
	CONFDIR=$(CURDIR)/debian/mplayer/etc/mplayer \
	DATADIR=$(CURDIR)/debian/mplayer/usr/share/mplayer \
	LIBDIR=$(CURDIR)/debian/mplayer/usr/lib \
	MANDIR=$(CURDIR)/debian/mplayer/usr/share/man \
	BINDIR=$(CURDIR)/debian/mplayer/usr/bin

	dh_installdirs -pmencoder usr/bin usr/share/man/man1

else	# i386
ifeq "$(DEB_HOST_ARCH)" "armel"
	######################### armel ############################

	./configure $(CONFIGURE_ARMEL) $(CONFIG_HARD) 

	echo "$(DEBIAN_VERSION)"  >> version.h
	echo "$(DEBIAN_TITLE)" >> version.h

	$(MAKE) -j $(NCPUS)
