=== debian/watch ===
version=4

https://mplayerhq.hu/MPlayer/releases/MPlayer-@ANY_VERSION@@ARCHIVE_EXT@
