=== debian/changelog ===
mplayer-dmo (4:1.5.0+svn38681-dmo1) unstable; urgency=medium

  * Git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Dec 2025 10:51:21 +0100

mplayer-dmo (4:1.5.0+svn38680-dmo7) unstable; urgency=medium

  * Update included ffmpeg to 7.1.3

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 Nov 2025 16:17:24 +0100
