## mplayer-dmo 1.5.0+svn38683

=== debian/changelog ===
mplayer-dmo (4:1.5.0+svn38683-dmo2) unstable; urgency=medium

  * Build with libvpx12

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 09 Feb 2026 11:40:26 +0100

mplayer-dmo (4:1.5.0+svn38683-dmo1) unstable; urgency=medium

  * Git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Jan 2026 15:38:22 +0100
