=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: mplayer-dmo
 Section: graphics
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: http://www.mplayerhq.hu/
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Build-Depends-Indep: xsltproc, docbook-xml, docbook-xsl
 Build-Conflicts: libesd0-dev, libggiwmh0-dev, libggi2-dev, liboss4-salsa-dev, libopenjpeg-dev
 Build-Depends: debhelper-compat (= 13), libncurses-dev, awk | gawk, libopus-dev,
