=== debian/rules ===
--- 
+++ 
@@ -109,7 +109,7 @@
 override_dh_auto_configure:
 	cp debian/$(CONTROL) debian/control
 
-	ln -s ffmpeg-7-1-2 ffmpeg
+	ln -s ffmpeg-7-1-3 ffmpeg
 	-mkdir ffmpeg/ffbuild
 
 	cp /usr/include/*/ffmpeg-7/libavutil/avconfig.h ffmpeg/libavutil/
